Class Specialization
TraceBack
Trace back values.

FiniteOrderedAlphabetConcept

SimpleType

TraceBack

TraceBack
Include Headers
seqan/align.h
Remarks
The ValueSize of TraceBack is 3. The values are defined in the following way: 0=Diagonal Move, 1=Horizontal Move, 2=Vertical Move
Specialization of
SimpleType
Implements
FiniteOrderedAlphabetConcept
Metafunctions

IsSimple | Tests type to be simple. (SimpleType)
Spec | The spec of a class. (SimpleType)
Value | Type of the items in the container or behind an iterator. (SimpleType)

Functions

assign | Assigns one object to another object. (SimpleType)
ordValue | Maps an alphabet 1-to-1 to the interval [0..ValueSize). (SimpleType)

See Also
ValueSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00